IMES 正在参加 2021 年度 OSC 中国开源项目评选,请投票支持!
IMES 在 2021 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
2021 年度 OSC 中国开源项目评选 正在火热进行中,快来投票支持你喜欢的开源项目!
2021 年度 OSC 中国开源项目评选 >>> 中场回顾
IMES 获得 2021 年度 OSC 中国开源项目评选「最佳人气项目」 !
授权协议 Apache
开发语言 HTML/CSS
操作系统 跨平台
软件类型 开源软件
所属分类 其他开源工业软件
开源组织
地区 不详
投 递 者 罗奇奇
适用人群 未知
收录时间 2022-03-25

软件简介

IMES 是一个为中小型 JobShop 制造商设计的开源制造执行系统应用程序,基于 Apache-2.0 许可发布。不过有些可惜的是,自 2019 年起该项目就没有更新记录了,作者表示受新冠疫情影响,暂停了开发计划。

制造执行系统 ​​(MES) 涉及使用计算机跟踪和记录从提取原材料到生产成品的整个制造过程。它们主要用作独立系统,主要收集有关工作场所的数据。MES 可用于各种行业,包括货物包装、金属或塑料生产以及自动化。使用 MES 的主要目的是提高生产、减少延误并简化货物交付。

该项目涉及构建一个 Smart MES Web 应用程序,该应用程序将帮助制造商规划制造过程,模拟计划过程的工作流程,跟踪实际生产线的事件并最终生成实际过程的报告。这将帮助制造商建立更有效的生产线,并减少和防止在整个制造过程中可能发生的潜在问题。

展开阅读全文

代码

的 Gitee 指数为
超过 的项目

评论

点击引领话题📣 发布并加入讨论🔥
暂无内容
发表了博客
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
发表了问答
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
Socketio Engineio 资源管理错误漏洞
拒绝服务
Socketio Engineio是Socketio社区的一个基于Javascript用于浏览器与设备进行双向通信的实时引擎。 Socketio socket.io-parser before 3.4.1 存在安全漏洞,攻击者可利用该漏洞通过大包导致拒绝服务(内存消耗)。
CVE-2020-36049 MPS-2021-0192
2022-08-08 19:17
node-tar 路径遍历漏洞
路径遍历
node-tar是一款用于文件压缩/解压缩的软件包。 npm node-tar 存在路径遍历漏洞,该漏洞源于4.4.18、5.0.10和6.1.9之前的npm包“tar”(又名node-tar)存在任意文件创建覆盖和任意代码执行漏洞。攻击者可利用该漏洞访问受限目录之外的位置。
CVE-2021-37713 MPS-2021-28489
2022-08-08 19:17
extend module 注入漏洞
注入
extend module是一个jQuery的经典extend()方法的端口。 extend 2.0.2之前版本和3.0.0版本至3.0.2版本中存在注入漏洞,该漏洞源于用户输入构造命令、数据结构或记录的操作过程中,网络系统或产品缺乏对用户输入数据的正确验证,未过滤或未正确过滤掉其中的特殊元素,导致系统或产品产生解析或解释方式错误。
CVE-2018-16492 MPS-2019-1232
2022-08-08 19:17
https-proxy-agent 存在中间人攻击漏洞
中间人攻击
https-proxy-agent 是一个提供 http.Agent 实现的模块,可以连接到指定的 HTTP 或 HTTPS 代理服务器,并且可以与内置的 https 模块一起使用。此软件包的受影响版本容易受到中间人 (MitM) 的攻击。
MPS-2022-13770
2022-08-08 19:17
mocha 存在不正确的正则表达式漏洞
不正确的正则表达式
mocha 是一个用于 node.js 和浏览器的 javascript 测试框架。此软件包的受影响版本容易受到正则表达式拒绝服务 (ReDoS) 的攻击。
MPS-2022-13886
2022-08-08 19:17
lodash 存在拒绝服务漏洞
拒绝服务
lodash 是一个现代 JavaScript 实用程序库,提供模块化、性能和附加功能。此软件包的受影响版本容易通过 setWith 和 set 函数受到原型污染。
MPS-2022-13842
2022-08-08 19:17
URI.js 安全漏洞
Medialize URI.js是Medialize团队的一款基于Javascript的可用于高效拼接URL的代码库。 URI.js before 1.19.6 存在安全漏洞,该漏洞源于对反斜杠的某些用法(例如http: /)进行了错误处理,并将URI解释为相对路径。
CVE-2021-27516 MPS-2021-2051
2022-08-08 19:17
requests 代码注入漏洞
代码注入
Dan DeFelippi node-XMLHttpRequest是 (Dan DeFelippi)开源的一个应用软件。用于模拟浏览器XMLHttpRequest对象。 node-XMLHttpRequest before 1.7.0 存在代码注入漏洞,攻击者可利用该漏洞导致任意代码注入并运行。
CVE-2020-28502 MPS-2021-2418
2022-08-08 19:17
Dan DeFelippi node-XMLHttpRequest 信任管理问题漏洞
证书验证不恰当
Dan DeFelippi node-XMLHttpRequest是 (Dan DeFelippi)开源的一个应用软件。用于模拟浏览器XMLHttpRequest对象。 Node.js xmlhttprequest-ssl package 1.6.1之前版本存在信任管理问题漏洞,该漏洞源于任何证书都不会被拒绝。
CVE-2021-31597 MPS-2021-5338
2022-08-08 19:17
trim-newlines 安全漏洞
拒绝服务
trim-newlines是一个修改换行符的npm包。 trim-newlines 存在安全漏洞,该漏洞源于应用于Node.js在3.0.1与4.0.1版本及之前版本中.end()方法存在相关问题。
CVE-2021-33623 MPS-2021-7398
2022-08-08 19:17
tar 存在拒绝服务漏洞
拒绝服务
tar 是用于 Node.js 的全功能 Tar。此软件包的受影响版本容易受到正则表达式拒绝服务 (ReDoS) 的攻击。
MPS-2022-14081
2022-08-08 19:17
Rendertron本地文件包含漏洞
路径遍历
Rendertron是Google开源的Chrome渲染解决方案,旨在即时将网页呈现出来。 Rendertron 1.0.0存在本地文件包含漏洞,远程攻击者可通过替代协议利用该漏洞读取任意文件。
CVE-2017-18354 MPS-2018-15895
2022-08-08 19:17
Medialize URI.js 安全漏洞
跨站重定向
Medialize URI.js是Medialize团队的一款基于Javascript的可用于高效拼接URL的代码库。 medialize/uri.js存在安全漏洞,目前暂无该漏洞信息,请随时关注CNNVD或厂商公告。
CVE-2022-1233 MPS-2022-7848
2022-08-08 19:17
Eran Hammer cryptiles 安全漏洞
信息熵不充分
Eran Hammer cryptiles是一款通用加密工具。 Eran Hammer cryptiles 4.1.1之前版本中的randomDigits()方法存在安全漏洞。攻击者可利用该漏洞暴力破解随机数。
CVE-2018-1000620 MPS-2018-9401
2022-08-08 19:17
Axios 输入验证错误漏洞
输入验证不恰当
Axios是一款基于Promise(异步编程的一种解决方案)的HTTP客户端。 Axios 0.18.0及之前版本中存在安全漏洞。攻击者可利用该漏洞造成拒绝服务(应用程序崩溃)。
CVE-2019-10742 MPS-2019-4913
2022-08-08 19:17
Growl命令执行漏洞
命令注入
Growl是一套支持Node.js的通知系统。 Growl 1.10.2之前版本中存在安全漏洞,该漏洞源于在将输入传递到shell命令之前,程序未能正确的对其进行过滤。攻击者可利用该漏洞执行任意命令。
CVE-2017-16042 MPS-2018-7026
2022-08-08 19:17
lodash node模块安全漏洞
lodash node module是一款开源的JavaScript实用程序库,它主要提供模块化等功能。 lodash node模块4.17.5之前版本中存在安全漏洞。远程攻击者可借助‘defaultsDeep’、‘merge’和‘mergeWith’函数利用该漏洞造成拒绝服务(崩溃或返回500错误)并可能执行代码。
CVE-2018-3721 MPS-2018-7315
2022-08-08 19:17
kind-of注入漏洞
将资源暴露给错误范围
kind-of是一款JavaScript类型检查软件包。 kind-of v6.0.2版本中的index.js文件的‘ctorName’函数存在注入漏洞,攻击者可利用该漏洞覆盖内部属性,操纵类型检查的结果。
CVE-2019-20149 MPS-2019-17164
2022-08-08 19:17
ua-parser-js 安全漏洞
表达式注入
ua-parser-js是基于JavaScript的User-Agent字符串解析器。可以在浏览器(客户端)或node.js(服务器端)环境中使用。也可以作为jQuery / Zepto插件,Bower / Meteor软件包和RequireJS / AMD模块使用。 ua-parser-js 包0.7.22版本存在安全漏洞,攻击者可利用该漏洞进行ReDoS攻击。以下产品及版本受到影响: Redmi Phones,Mi Pad Tablets UA。
CVE-2020-7733 MPS-2020-13044
2022-08-08 19:17
Socketio Engineio 资源管理错误漏洞
拒绝服务
Socketio Engineio是Socketio社区的一个基于Javascript用于浏览器与设备进行双向通信的实时引擎。 Socketio Engine.IO before 4.0.0 存在安全漏洞,攻击者可利用该漏洞通过对长轮询传输的POST请求导致拒绝服务(资源消耗)。
CVE-2020-36048 MPS-2021-0191
2022-08-08 19:17
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
0 评论
7 收藏
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部